Get cluster firewall
curl --request GET \
--url https://api.rafftechnologies.com/api/v1/k8s/clusters/{cluster_id}/firewall \
--header 'X-API-Key: <api-key>' \
--header 'X-Project-ID: <x-project-id>'import requests
url = "https://api.rafftechnologies.com/api/v1/k8s/clusters/{cluster_id}/firewall"
headers = {
"X-Project-ID": "<x-project-id>",
"X-API-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Project-ID': '<x-project-id>', 'X-API-Key': '<api-key>'}
};
fetch('https://api.rafftechnologies.com/api/v1/k8s/clusters/{cluster_id}/firewall', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"enabled": true,
"default_name": "raff-default-secure",
"assigned_sg_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assigned_name": "<string>",
"available": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"inbound_rules": 123,
"outbound_rules": 123
}
]
}{
"error": "<string>",
"message": "<string>"
}Networking
Get Cluster Firewall
The security group protecting the cluster’s public gateway, and the account’s security groups available to assign.
GET
/
api
/
v1
/
k8s
/
clusters
/
{cluster_id}
/
firewall
Get cluster firewall
Updated August 24, 2026
Authorizations
API key for authentication. Each key is bound to a specific account.
Headers
Project ID. Required for all mutating operations (create, delete, power actions, resize).
Path Parameters
Cluster ID (short id, e.g. q7z7zg)
Response
Firewall state
Platform baseline security group
Example:
"raff-default-secure"
Custom security group currently assigned (absent when on the baseline)
Your security groups that can be assigned
Show child attributes
Show child attributes
Last modified on August 24, 2026
⌘I